> ## Documentation Index
> Fetch the complete documentation index at: https://docs.engine.usesophic.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List cash balances

> Retrieve an account's cash balances (one for each supported currency).



## OpenAPI

````yaml https://api.engine.usesophic.com/openapi.json get /accounts/{account_id}/cash-balances
openapi: 3.1.0
info:
  title: Sophic Engine API
  version: 0.1.0
servers:
  - url: https://api.engine.usesophic.com/
security: []
paths:
  /accounts/{account_id}/cash-balances:
    get:
      summary: List cash balances
      description: Retrieve an account's cash balances (one for each supported currency).
      operationId: list_cash_balances_accounts__account_id__cash_balances_get
      parameters:
        - name: account_id
          in: path
          required: true
          schema:
            type: string
            title: Account Id
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CashBalance'
                title: >-
                  Response List Cash Balances Accounts  Account Id  Cash
                  Balances Get
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - HTTPBearer: []
components:
  schemas:
    CashBalance:
      properties:
        currency:
          allOf:
            - $ref: '#/components/schemas/Currency'
          description: The currency of the cash balance.
        total:
          type: string
          title: Total
          description: >-
            The total cash balance, including settled, unsettled and reserved
            cash.
        available_for_trading:
          type: string
          title: Available For Trading
          description: >-
            The portion of the cash balance available for placing buy orders,
            also known as buying power.
        available_for_withdrawal:
          type: string
          title: Available For Withdrawal
          description: The portion of the cash balance available for withdrawal.
        reserved:
          type: string
          title: Reserved
          description: >-
            The portion of the cash balance that is reserved for currently
            executing orders or withdrawals.
      type: object
      required:
        - currency
        - total
        - available_for_trading
        - available_for_withdrawal
        - reserved
      title: CashBalance
    Error:
      properties:
        detail:
          type: string
          title: Detail
          description: A human-readable description of the error.
        code:
          type: string
          title: Code
          description: A machine-readable error code.
        docs:
          title: Docs
          description: A URL to documentation about this error code.
          x-remove-null-from-type-union: true
          type: string
        context:
          title: Context
          description: An optional object for adding extra context to the error.
          x-remove-null-from-type-union: true
          additionalProperties:
            anyOf:
              - type: string
              - type: integer
          type: object
        params:
          title: Params
          description: An optional list of params that failed validation.
          x-remove-null-from-type-union: true
          items:
            $ref: '#/components/schemas/InvalidParam'
          type: array
      type: object
      required:
        - detail
        - code
      title: Error
    Currency:
      type: string
      enum:
        - EUR
        - USD
        - GBP
      title: Currency
      properties: {}
    InvalidParam:
      properties:
        path:
          items:
            anyOf:
              - type: integer
              - type: string
          type: array
          title: Path
          description: Path to the field name (or index if a list) that errored.
        detail:
          type: string
          title: Detail
          description: Human-readable detail for error.
        code:
          type: string
          title: Code
          description: A machine-readable error code.
      type: object
      required:
        - path
        - detail
        - code
      title: InvalidParam
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````